Get Auto Recording Setting
Query the auto recording settings, including recording prompts and recording targets.
Request URL
GET {base_url}/{api_path}/autorecord/get?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to get recording setting.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| auto_record | Object<Recording_Setting> | The recording settings. |
Recording_Setting
| Parameter | Type | Description |
|---|---|---|
| enb_internal | Integer | Whether recording is enabled for internal calls.
|
| internal_prompt | String | The prompt that will be played when internal calls are being recorded. |
| outbound_prompt | String | The prompt that will be played when outbound calls are being recorded. |
| inbound_prompt | String | The prompt that will be played when inbound calls are being recorded. |
| start_prompt | String | The prompt that will be played when recording starts during a call. Note: This prompt is triggered when authorized extension users start recording by pressing recording button on Simu Connect UC Clients or dialing the recording feature code (default *1). |
| end_prompt | String | The prompt that will be played when recording is stopped during a call. Note: This prompt is triggered when authorized extension users stop recording by pressing recording button on Simu Connect UC Clients or dialing the recording feature code (default *1). |
| enb_channel_separate | Integer | Whether the system records the caller and callee on separate channels, generating a stereo recording with left and right channels.
|
| record_file_format | String | The file format of the recording when stereo recording is enabled.
|
| enb_paging | Integer | Whether recording is enabled for paging/intercom calls.
|
| record_trunk_list | Array<Trunk_List> | The trunks specified for recording. |
| record_ext_list | Array<Extension_List> | The extensions specified for recording. |
| record_conference_list | Array<Conference_List> | The conferences specified for recording. |
| record_queue_list | Array<Queue_List> | The queues specified for recording. |
| record_ivr_list | Array<IVR_List> | The IVRs specified for recording. |
Trunk_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of a trunk. |
| text | String | Trunk name. |
| type | String | Trunk type. |
| enb_config | Integer | Whether a beep tone will be played at regular intervals during a call to indicate that the call is being recorded.
|
| number_value | Integer | The time interval (in seconds) at which the beep tone is played. |
Extension_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of extension, extension group, or organization. |
| type | String | The type of recording target.
|
| text | String | Extension name, extension group name, or organization name. |
| text2 | String | Extension number, extension group name, or organization name. |
| enb_continue_record_on_transfer | Integer | Whether call recording is continued after the extensions transfer the incoming calls to another destination.
|
Conference_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of conference. |
| text | String | Conference name. |
Queue_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of queue. |
| text | String | Queue name. |
| enb_continue_record_on_transfer | Integer | Whether call recording is continued after queue agents transfer incoming calls to another destination.
|
IVR_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of IVR. |
| text | String | IVR name. |
Examples
Request example
GET /openapi/v1.0/autorecord/get?access_token=HaRtYPeUXp2otAUzEqUQ4KvISuDOCYBl HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"auto_record": {
"enb_internal": 1,
"internal_prompt": "internal_record.wav",
"outbound_prompt": "outbound_record.wav",
"inbound_prompt": "inbound_record.wav",
"enb_channel_separate": 1,
"record_file_format": "mp3",
"record_trunk_list": [
{
"id": 1,
"text": "39",
"type": "peer",
"enb_config": 0,
"number_value": 15
}
],
"record_ext_list": [
{
"id": 18,
"text": "Ashley Gardner",
"text2": "2007",
"type": "extension",
"enb_continue_record_on_transfer": 1
},
{
"id": 17,
"text": "Carmen Gordon",
"text2": "2009",
"type": "extension",
"enb_continue_record_on_transfer": 1
},
{
"id": 7,
"text": "Leo Ball",
"text2": "5000",
"type": "extension",
"enb_continue_record_on_transfer": 1
}
],
"record_conference_list": [
{
"id": 1,
"text": "6500"
}
],
"record_queue_list": [
{
"id": 1,
"text": "Customer Support",
"enb_continue_record_on_transfer": 1
}
],
"record_ivr_list": [
{
"id": 1,
"text": "6200"
}
],
"enb_paging": 1,
"start_prompt": "welcome.wav",
"end_prompt": "keypress.wav"
}
}